> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Employee Check

> Delete a pending employee check.

Only checks with a `status` of `pending` can be deleted.


## OpenAPI

````yaml openapi/employee-checks.json delete /employeeCheck
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /employeeCheck:
    delete:
      summary: Delete Employee Check
      description: Delete a pending employee check.
      operationId: delete-employee-check
      parameters:
        - name: companyID
          in: query
          description: Company ID of the employer
          required: true
          schema:
            type: string
        - name: employeeCheckID
          in: query
          description: ID of Employee Check
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            text/plain:
              examples:
                Result:
                  value: "{\n\t\"success\": true,\n\t\"message\": \"Employee Check(s) deleted.\"\n}"
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  message:
                    type: string
                    example: Employee Check(s) deleted.
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: >-
                          Employee Checks(s) with given employeeCheckID(s) is
                          not found for this user
                        code: 31
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: >-
                            Employee Checks(s) with given employeeCheckID(s) is
                            not found for this user
                        code:
                          type: integer
                          example: 31
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.